### Function

# AppStream ContentRating attribute_get_description

since: 0.12.12

#### Declaration [src]

    const gchar*
    as_content_rating_attribute_get_description (
      const gchar* id,
      AsContentRatingValue value
    )

#### Description [src]

Get a human-readable description of what content would be expected to require the content rating attribute given by `id` and `value`.

Available since: 0.12.12

#### Parameters

`id`

  Type: `const gchar*`

  The subsection ID e.g. `violence-cartoon`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `AsContentRatingValue`

  The `AsContentRatingValue`, e.g. `AS_CONTENT_RATING_VALUE_INTENSE`.

#### Return value

Type: `const gchar*`

A human-readable description of `id` and `value`.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.